# POST /runway/v1/pro/video2video

**Method**: `POST`
**Endpoint**: `/runway/v1/pro/video2video`

### Request Parameters

| Name | Location | Type | Required | Chinese Name | Notes |
| --- | --- | --- | --- | --- | --- |
| body | body | object | No |  | none |
| » video | body | string | Provider note|  | none |
| » model | body | string | Provider note| Provider note| none |
| » prompt | body | string | Yes | Description text | Chinese supported |
| » options | body | object | Yes | Parameter | none |
| »» structure\_transformation | body | number | Provider note| Provider note| 0-1Provider note|
| »» flip | body | boolean | Provider note| Provider note| Provider note|

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
video
string
Required
model
string
gen3
Required
prompt
string
Required
options
object
Required
structure_transformation
number
Required
flip
boolean
Required
Example
{
"video"
:
"string"
,
"model"
:
"string"
,
"prompt"
:
"string"
,
"options"
:
{
"structure_transformation"
:
0
,
"flip"
:
true
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/runway/v1/pro/video2video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "video": "string",
    "model": "string",
    "prompt": "string",
    "options": {
        "structure_transformation": 0,
        "flip": true
    }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
